Class CustomFieldLabelsSearcher
java.lang.Object
com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
com.atlassian.jira.issue.customfields.searchers.CustomFieldLabelsSearcher
- All Implemented Interfaces:
CustomFieldSearcher,NaturallyOrderedCustomFieldSearcher,CustomFieldStattable,ValueLoaderCustomFieldSearcher,IssueSearcher<CustomField>
public class CustomFieldLabelsSearcher
extends AbstractInitializationCustomFieldSearcher
implements CustomFieldSearcher, CustomFieldStattable, NaturallyOrderedCustomFieldSearcher, ValueLoaderCustomFieldSearcher
Searcher for Label custom fields
- Since:
- v4.2
-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionCustomFieldLabelsSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, LabelsClauseValuesGenerator labelsClauseValuesGenerator, JiraAuthenticationContext authenticationContext, CustomFieldInputHelper customFieldInputHelper) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that can be used to handle the clauses that this searcher generates.Provides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.getSortField(CustomField customField) Return the name of the field to use for ordering.getStatisticsMapper(CustomField customField) Since Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues.getValueLoader(CustomField customField) Gets the value loader for the provided custom field.voidinit(CustomField customField) Initialises the searcher with a given field.Methods inherited from class com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
getDescriptor, initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.customfields.CustomFieldSearcher
getDescriptor, init
-
Constructor Details
-
CustomFieldLabelsSearcher
public CustomFieldLabelsSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, LabelsClauseValuesGenerator labelsClauseValuesGenerator, JiraAuthenticationContext authenticationContext, CustomFieldInputHelper customFieldInputHelper)
-
-
Method Details
-
init
Description copied from interface:IssueSearcherInitialises the searcher with a given field.- Specified by:
initin interfaceIssueSearcher<CustomField>- Parameters:
customField- the field object. This may be null. (So you can have searchers on non-fields)
-
getCustomFieldSearcherClauseHandler
Description copied from interface:CustomFieldSearcherProvides an object that can be used to handle the clauses that this searcher generates.- Specified by:
getCustomFieldSearcherClauseHandlerin interfaceCustomFieldSearcher- Returns:
- an object that can be used to handle the clauses that this searcher generates, can be null.
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<CustomField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<CustomField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<CustomField>- Returns:
- the search renderer for this searcher.
-
getStatisticsMapper
Description copied from interface:CustomFieldStattableSince Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues. Before Jira v8.0 "stattable" fields were retrieved from a Jira cache build from from Lucene index. Since Jira v8.0 this cache is using LuceneDocValuesdirectly. SeeDocValuesand supported implementations for details.- Specified by:
getStatisticsMapperin interfaceCustomFieldStattable
-
getSortField
Description copied from interface:NaturallyOrderedCustomFieldSearcherReturn the name of the field to use for ordering. This will normally be just the field, .i.e customField.getId() but some searchers, e.g. TextSearcher, store additional fields to support sorting.- Specified by:
getSortFieldin interfaceNaturallyOrderedCustomFieldSearcher- Parameters:
customField- The custom field to be searched- Returns:
- The field name to use for ordering.
-
getValueLoader
Description copied from interface:ValueLoaderCustomFieldSearcherGets the value loader for the provided custom field.- Specified by:
getValueLoaderin interfaceValueLoaderCustomFieldSearcher- Returns:
- the value loader for the provided custom field
-